Subject: Re: bug#14742: 24.3.50; enhancement request: be able to prepend stuff from buffer when search backward

From: Juri Linkov <[email-masked]>
Date: Sat, 29 Jun 2013 00:43:45 +0300

> In principle, yanked stuff could be prepended
> as well as appended, IIUC.

As you may remember, I implemented this two weeks ago
in the patch I sent to emacs-devel, and since then
I have not had problems with it.  So what could be done
is to move this code from `isearch-other-meta-char'
to `isearch-yank-string' and `isearch-del-char' for more
general functionality by adding a new argument `BACK' to them
(or could you propose a better name for the argument).